
QGIS Application - Bug report #21985

Impossible to type the right brace character in the python console

2019-05-03 10:28 AM - Pierre Kremer

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:3.6.2 Regression?: Yes

Operating System: Windows 10 PRO Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 29800

Description

It is impossible to type "}" in the python console or in the python script editor.

NB : 

    -  the character is yet visible if it

    -  already exists in the opened script

    -  is generated by an output in the console (dict() for example)

    -  is pasted

    -  tested with standard french keyboard with default layout

    -  no problem detected on any other qgis input field

Related issues:

Duplicates QGIS Application - Bug report # 21203: ']' keyboard (alt-gr + '+' ... Open 2019-02-08

History

#1 - 2019-05-03 08:11 PM - Giovanni Manghi

- Status changed from Open to Feedback

Duplicate of #21203 ?

#2 - 2019-05-03 10:29 PM - Pierre Kremer

Giovanni Manghi wrote:

Duplicate of #21203 ?

Right.

Removing the shortcut "Ctrl+Alt+=" solved the problem.

Thanks !!

I suggest that these shortcuts using Ctrl+Alt should not be set by default. Or maybe they can be made dependent on the current language / keyboard

layout ?

#3 - 2019-05-04 09:37 AM - Giovanni Manghi

- Duplicates Bug report #21203: ']' keyboard (alt-gr + '+' ) not working on QGis 3.4.4 with Spanish or Italian keyboard - Windows added
#4 - 2019-05-04 09:37 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed
